from __future__ import annotations

from typing import Optional, Dict

from clarabot_nano.utility.handlers import AbstractHandler


class AbstractStateUpdateHandler(AbstractHandler):
    def __init__(self, state: dict):
        self._s = state

    def get_new_state_kvs(self, data: dict) -> Optional[dict]:
        raise NotImplementedError()
